/**Copyright or (C) or Copr. GET / ENST, Telecom-Paris, Ludovic Apvrille

ludovic.apvrille AT enst.fr

This software is a computer program whose purpose is to allow the
edition of Latex documents

This software is governed by the CeCILL  license under French law and
abiding by the rules of distribution of free software.  You can  use, 
modify and/ or redistribute the software under the terms of the CeCILL
license as circulated by CEA, CNRS and INRIA at the following URL
"http://www.cecill.info". 

As a counterpart to the access to the source code and  rights to copy,
modify and redistribute granted by the license, users are provided only
with a limited warranty  and the software's author,  the holder of the
economic rights,  and the successive licensors  have only  limited
liability. 

In this respect, the user's attention is drawn to the risks associated
with loading,  using,  modifying and/or developing or reproducing the
software by the user in light of its specific status of free software,
that may mean  that it is complicated to manipulate,  and  that  also
therefore means  that it is reserved for developers  and  experienced
professionals having in-depth computer knowledge. Users are therefore
encouraged to load and test the software's suitability as regards their
requirements in conditions enabling the security of their systems and/or 
data to be ensured and,  more generally, to use and operate it in the 
same conditions as regards security. 

The fact that you are presently reading this means that you have had
knowledge of the CeCILL license and that you accept its terms.

/**
 * Class DefaultText
 * Text of some windows
 * Creation: 11/06/2010
 * @version 2.0 11/06/2010
 * @author Ludovic APVRILLE
 * @see
 */

package ui;


public class DefaultText  {
    public static String BUILD = "1101";
    public static String DATE = "2012/12/05 17:55:10 CET";


    public static StringBuffer sbAbout = makeAbout();
    
    public static String getAboutText() {
        return new String(sbAbout);
    }
    
    public static String getVersion() {
        return "0.4"; /* Set new release December, 5th, 2012 */
    }
	
	public static String getFullVersion() {
		return getVersion() + " -- build: " + DefaultText.BUILD + " date: " + DefaultText.DATE;
	}
    
    private static StringBuffer makeAbout() {
        StringBuffer sb = new StringBuffer();
        sb.append("Lobster version " + getFullVersion() + "\n\n");
        sb.append("Programmers\n\tLudovic Apvrille - contact email: ludovic.apvrille@telecom-paristech.fr\n");
		sb.append("\nThe nice LatexEditor splash screen was made by: Axelle Apvrille, see http://axelle.apvrille.free.fr/\n");
        return sb;
    }
	
	
}
